> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Employee E-Verify Update Event (Early Access)

> POSTs request when there is an update to E-verify for an Employee.

This endpoint specifies what will be sent to your Employee E-verify Event Webhook. Zeal POSTs a request containing an Employee's E-verify information in the dashboard. You can update and test the webhook URL you want Zeal to hit on the 'API' Page of the Zeal Dashboard.

***

## Request Body

| attribute | type | description |
| - | - | - |
| test | boolean | Whether the Event was updated in Test Mode |
| companyID | string | Zeal `companyID` of Employer |
| employeeID | string | Zeal `employeeID` of Employee |
| first\_name | string | First name of Employee |
| last\_name | string | Last name of Employee |
| business\_name | string | Business Name |
| everify\_case\_number | string | Case number of the E-Verify request |
| everify\_status | string | Holds one of the following values:<br />`IN_PROGRESS`<br />`PENDING_REFERRAL`<br />`REFERRED`<br />`SUCCESS`<br />`FAILURE`<br />`FAILURE_NO_SHOW`<br />`FAILURE_NO_ACTION`<br />**NOTE: For more information on these statuses refer to the everify\_status field listed on the [Employee Object](/reference/employees/the-employee-object).** |

***

## Returns

Doesn't return anything but rather POSTs a request with the E-verify update to your webhook URL.

***

## Raw Content Example

```json theme={null}
{
	"test": true,
  "companyID": "1eeec343485723ee58ufefhz",
  "business_name": "Test Company",
	"employeeID": "1eeec343485723ee58ufefhz",
	"first_name": "Erlich",
	"last_name": "Bachman",
	"everify_case_number": "2024270190310CF",
	"everify_status": "SUCCESS",
  "timestamp": "2024-01-21T21:29:42Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.